var portalAdminAppId = 95,
    /**
     * Notify user the admin application isn't running
     */
    adminNotRunning  = function() {
        Valence.util.Helper.showDialog('Portal Admin', 'Is currently not running in the portal.');
    };

/**
 * launch the Valence Portal Admin application
 */
var launchPortalAdmin = function() {
    // if the user is authorized to the application launch it
    //
    Valence.util.App.isAuthorized(portalAdminAppId, function(authorized) {
        if (authorized) {
            Valence.util.App.launch({
                app : portalAdminAppId
            });
        } else {
            Valence.util.Helper.showDialog('Portal Admin', 'You are not authorized to this application.');
        }
    });
};

/**
 * check if Valence Portal Admin is running
 */
var isPortalAdminRunning = function() {
    Valence.util.App.isRunning(portalAdminAppId, function(running) {
        var title   = 'Portal Admin',
            message = 'Yes, currently is running in the portal.';

        if (!running) {
            message = 'No, it is not running in the portal.';
        }

        Valence.util.Helper.showDialog(title, message);
    });
};

/**
 * Make Valence Portal Admin application the active app in the Portal
 */
var showPortalAdmin = function() {
    // if the admin application is running then show it
    //
    Valence.util.App.isRunning(portalAdminAppId, function(running) {
        if (running) {
            Valence.util.App.setActive(portalAdminAppId);
        } else {
            adminNotRunning();
        }
    });
};

/**
 * If Portal Admin App is running close it
 */
var closePortalAdmin = function() {
    // if the admin application is running then close it
    //
    Valence.util.App.isRunning(portalAdminAppId, function(running) {
        if (running) {
            Valence.util.App.close(portalAdminAppId);
        } else {
            adminNotRunning();
        }
    });
};

/**
 * Add a prompt before the app is closed confirming with the user
 */
var addPromptBeforeClose = function() {
    var key = Valence.getUrlParam('key');

    Valence.util.App.setPromptBeforeClose(key,{
        title : 'Are you sure?',
        msg   : 'You will be missing out on all the fun!'
    });

    Valence.util.Helper.showSnackbar('Prompt set, attempt to close this app');
};

/**
 * Print this application
 */
var printScreen = function() {
    Valence.util.App.print();
};

/**
 * Get the applications name
 */
var getAppName = function() {
    var appId = Valence.getUrlParam('app');

    Valence.util.Helper.getAppName(appId, function(name) {
        Valence.util.Helper.showDialog('Applications Name', name);
    });
};

/**
 * Get the default date format
 */
var getDefaultDateFormat = function() {
    Valence.util.Helper.getDateFormat(function(format) {
        Valence.util.Helper.showDialog('Default Date Format', format);
    });
};

/**
 * Get the user
 */
var getUser = function() {
    Valence.util.Helper.getUserName(function(name) {
        Valence.util.Helper.showDialog('User', name);
    });
};
