'use strict';
const customersService = require(global.__services + 'customers'),
      valenceConnect   = require('valence-connect');

/**
 * Customers Api
 */
class CustomersApi {
    /**
     * Get all customer records from the customers service
     * @param {IncomingMessage} req http request
     * @param {ServerResponse} res http response
     */
    queryAll(req, res) {
        let params        = valenceConnect.getParams(req),
            queryResponse = (response) => {
                res.json(response);
            },
            queryError    = (err) => {
                res.json(err);
            };

        customersService.queryAll(params)
            .then(queryResponse)
            .catch(queryError);
    }
};
module.exports = new CustomersApi;
