'use strict';
const valenceConnect = require('valence-connect');

/**
 * Customers
 */
class Customers {
    /**
     * A promise for the Db Query that when fulfilled will contain
     *   json object results.
     *
     * @promise DbQueryPromise
     * @fulfill {object} Root/Array of results
     * @reject {TypeError} Call Failure
     */

    /**
     * Get all customer records out of democmast table
     * @param {object} params
     * @return {DbQueryPromise} when fulfilled will contain json object results.
     */
    queryAll(params) {
        let statement     = 'select cusno as NUMBER, cname as NAME,' +
            ' ccity as CITY, cstate as STATE from DEMOCMAST';

        return valenceConnect.dbQuery(params, null, statement);
    }
};
module.exports = new Customers;
